Upload Practitioners
The DPC Team provides a bundle of sample practitioners you can use to create a test organization.
Minimum practitioner requirements
Include the following to avoid a 422 - Unprocessable Entity error.
- First and last name
- Type 1 National Provider Identifier (NPI)
Note: If an existing practitioner is found with the same NPI, the /Practitioner endpoint will return the same practitioner.
Add a practitioner bundle
The $submit operation lets you upload a bundle of practitioner resources in a single batch using the /Practitioner endpoint. If you don’t include the minimum requirements described above, you’ll receive an error.
Example request
POST /api/v1/Practitioner/$submitExample cURL command
curl 'https://sandbox.dpc.cms.gov/api/v1/Practitioner/$submit' \
-H "Authorization: Bearer $BEARER_TOKEN" \
-H 'Accept: application/fhir+json' \
-H 'Content-Type: application/fhir+json' \
-d @practitioner_bundle.json